Batch Get User Info By UserIds
curl --request GET \
--url https://api.aisa.one/apis/v1/twitter/user/batch_info_by_ids \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/twitter/user/batch_info_by_ids"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/twitter/user/batch_info_by_ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"type": "<string>",
"userName": "<string>",
"url": "<string>",
"id": "<string>",
"name": "<string>",
"isBlueVerified": true,
"verifiedType": "<string>",
"profilePicture": "<string>",
"coverPicture": "<string>",
"description": "<string>",
"location": "<string>",
"followers": 123,
"following": 123,
"canDm": true,
"createdAt": "<string>",
"favouritesCount": 123,
"hasCustomTimelines": true,
"isTranslator": true,
"mediaCount": 123,
"statusesCount": 123,
"withheldInCountries": [
"<string>"
],
"possiblySensitive": true,
"pinnedTweetIds": [
"<string>"
],
"isAutomated": true,
"automatedBy": "<string>",
"unavailable": true,
"message": "<string>",
"unavailableReason": "<string>"
}
],
"status": "success",
"msg": "<string>"
}User Endpoints
Batch Get User Info By UserIds
Resolve many X users at once from their numeric user IDs, passed as a comma-separated userIds string.
GET
https://api.aisa.one/apis/v1
/
twitter
/
user
/
batch_info_by_ids
Batch Get User Info By UserIds
Resolve many X users at once from their numeric user IDs, passed as a comma-separated
userIds string. Use this when a previous call (timeline, retweeters, followers) gave you IDs and you need to turn them into full profiles in one request instead of looping.
Returns an array of user objects under users.
Note this endpoint takes numeric IDs, not @handles — to look up by handle use get_twitter_user_info.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated user IDs
⌘I